import * as STS from '@aws-sdk/client-sts';
import { ILogger } from 'typescript-ilogger';
import { ISTSHelper } from './interface';
import { BaseClass } from 'typescript-helper-functions';
/**
 * STS Helper
 */
export declare class STSHelper extends BaseClass implements ISTSHelper {
    /**
     * AWS Repository for STS
     */
    private Repository;
    /**
     * Initializes new instance of STSHelper
     * @param logger {ILogger} Injected logger
     * @param repository {STS.STS} Injected Repository. A new repository will be created if not supplied
     * @param options {STS.STSClientConfig} Injected configuration if a Repository is supplied
     */
    constructor(logger: ILogger, repository?: STS.STS, options?: STS.STSClientConfig);
    /**
     * Assume role in your account or another
     * @param roleArn {string} Role ARN to assume
     */
    AssumeRoleAsync(roleArn: string): Promise<STS.AssumeRoleResponse>;
}
